import { utils } from '@wormhole-foundation/connect-sdk-solana';
import { PublicKey } from '@solana/web3.js';
import { encoding } from '@wormhole-foundation/connect-sdk';
export function deriveTokenTransferMessageAddress(programId, payer, sequence) {
    return utils.deriveAddress([
        Buffer.from('bridged'),
        new PublicKey(payer).toBuffer(),
        Buffer.from(encoding.bignum.toBytes(BigInt(sequence.toString()), 8)),
    ], programId);
}
//# sourceMappingURL=tokenTransferMessage.js.map