"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveSignerSequenceAddress = void 0;
const connect_sdk_solana_1 = require("@wormhole-foundation/connect-sdk-solana");
const web3_js_1 = require("@solana/web3.js");
function deriveSignerSequenceAddress(programId, payerKey) {
    return connect_sdk_solana_1.utils.deriveAddress([Buffer.from('seq'), new web3_js_1.PublicKey(payerKey).toBuffer()], programId);
}
exports.deriveSignerSequenceAddress = deriveSignerSequenceAddress;
//# sourceMappingURL=signerSequence.js.map